Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 22215002: Allow grid positions to be named grid areas (Closed)

Created:
6 years, 2 months ago by Julien - ping for review
Modified:
6 years, 2 months ago
Reviewers:
ojan, darktears
CC:
blink-reviews, eae+blinkwatch, leviw+renderwatch, dglazkov+blink, apavlov+blink_chromium.org, jchaffraix+rendering, esprehn
Visibility:
Public.

Description

Allow grid positions to be named grid areas This change extends our handling of grid position to allow for named grid areas. This required to split the shorthands parsing between grid-{row|column} and grid-area as the rules for expanding are slightly different. The patch reuses a lot of the existing logic to marshall the values into RenderStyle. One big difference after this change is that: grid-row: foobar / none; used to be rejected at parsing but is now allowed. BUG=258092 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=155555

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+292 lines, -48 lines) Patch
M LayoutTests/fast/css-grid-layout/grid-item-area-get-set.html View 3 chunks +23 lines, -0 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-area-get-set-expected.txt View 2 chunks +12 lines, -0 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-column-row-get-set.html View 5 chunks +39 lines, -21 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-column-row-get-set-expected.txt View 3 chunks +30 lines, -6 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-end-after-get-set.html View 5 chunks +14 lines, -0 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-end-after-get-set-expected.txt View 2 chunks +24 lines, -0 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-start-before-get-set.html View 5 chunks +14 lines, -0 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-item-start-before-get-set-expected.txt View 2 chunks +24 lines, -0 lines 0 comments Download
M Source/core/css/CSSComputedStyleDeclaration.cpp View 1 chunk +3 lines, -0 lines 0 comments Download
M Source/core/css/CSSParser.h View 1 chunk +2 lines, -0 lines 0 comments Download
M Source/core/css/CSSParser-in.cpp View 3 chunks +84 lines, -14 lines 0 comments Download
M Source/core/css/resolver/StyleBuilderCustom.cpp View 1 chunk +9 lines, -1 line 0 comments Download
M Source/core/rendering/RenderGrid.cpp View 1 chunk +4 lines, -4 lines 0 comments Download
M Source/core/rendering/style/GridPosition.h View 4 chunks +10 lines, -2 lines 0 comments Download

Messages

Total messages: 4 (0 generated)
Julien - ping for review
6 years, 2 months ago (2013-08-05 20:45:08 UTC) #1
darktears
On 2013/08/05 20:45:08, Julien Chaffraix wrote: LGTM
6 years, 2 months ago (2013-08-05 21:07:42 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jchaffraix@chromium.org/22215002/1
6 years, 2 months ago (2013-08-05 21:09:46 UTC) #3
commit-bot: I haz the power
6 years, 2 months ago (2013-08-06 00:03:55 UTC) #4
Message was sent while issue was closed.
Change committed as 155555

Powered by Google App Engine
This is Rietveld 408576698